/*****************************************************************************
* Users                                                              *
* Fetch requests for /users routes                                   *
*****************************************************************************/
Requests.settings = {};

Requests.settings.entity = {};

Requests.settings.entity.delete = (userId) => {
  let input = `/settings/${userId}`;
  let init = {
    method: 'DELETE'
  };
  return Requests.JSONfetch(input, init);
}

Requests.settings.entity.deleteAvatar = (userId) => {
  let input = `/settings/${userId}/avatar`;
  let init = {
    method: 'DELETE'
  };
  return Requests.JSONfetch(input, init);
}

Requests.settings.entity.isPublic = {};

Requests.settings.entity.isPublic.update = (userId, isPublic) => {
  let input = `/settings/${userId}/is-public`;
  let init = {
    method: 'PUT',
    body: JSON.stringify(isPublic)
  };
  return Requests.JSONfetch(input, init);
};

Requests.settings.entity.profilePrivacySettings = {};

Requests.settings.entity.profilePrivacySettings.update = (userId, profilePrivacySetting, enabled) => {
  let input = `/settings/${userId}/profile-privacy-settings/${profilePrivacySetting}`;
  let init = {
    method: 'PUT',
    body: JSON.stringify(enabled)
  };
  return Requests.JSONfetch(input, init);
}
